Searchs for orders.
1 min
POST
/api/episerver/v3.0/carts/search
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/problem+json
Body Parameters
- bodycartSearchFilterrequiredDescription
- marketIdsstring[]Description
- modifiedFromstring<date-time>DescriptionFormatdate-time
- modifiedTostring<date-time>DescriptionFormatdate-time
- customerIdstring<uuid>DescriptionFormatuuid
- startingIndexinteger<int32>DescriptionFormatint32
- recordsToRetrieveinteger<int32>DescriptionFormatint32
- searchTermstringDescription
Responses
200
- cart[]Description
- idinteger<int32>DescriptionFormatint32
- namestringrequiredDescription
- customerIdstring<uuid>DescriptionFormatuuid
- marketstringrequiredDescription
- currencystringrequiredDescription
- lastUpdatedstring<date-time>DescriptionFormatdate-time
- shipmentsshipment[]Description
- idinteger<int32>DescriptionFormatint32
- shippingAddressaddressDescription
- firstNamestringDescription
- lastNamestringDescription
- line1stringDescription
- line2stringDescription
- citystringDescription
- countryNamestringDescription
- countryCodestringDescription
- postalCodestringDescription
- regionNamestringDescription
- emailstringDescription
- phoneNumberstringDescription
- namestringDescription
- shippingMethodIdstring<uuid>DescriptionFormatuuid
- lineItemslineItem[]Description
- idinteger<int32>DescriptionFormatint32
- contentIdstring<uuid>DescriptionFormatuuid
- codestringDescription
- placedPricenumber<decimal>DescriptionFormatdecimal
- quantitynumber<decimal>requiredDescriptionFormatdecimal
- displayNamestringDescription
- isGiftbooleanDescription
- paymentspayment[]Description
- amountnumber<decimal>DescriptionFormatdecimal
- authorizationCodestringDescription
- billingAddressaddressDescription
- firstNamestringDescription
- lastNamestringDescription
- line1stringDescription
- line2stringDescription
- citystringDescription
- countryNamestringDescription
- countryCodestringDescription
- postalCodestringDescription
- regionNamestringDescription
- emailstringDescription
- phoneNumberstringDescription
- namestringDescription
- savedBillingAddressNamestringDescription
- customerNamestringDescription
- paymentIdinteger<int32>DescriptionFormatint32
- systemKeywordstringDescription
- paymentTypestringDescription
- providerTransactionIDstringDescription
- statusstringDescription
- transactionIDstringDescription
- transactionTypestringDescription
- validationCodestringDescription
- extendedPropertiesextendedProperty[]Description
- namestringDescription
- valuestringDescription
- couponCodesstring[]Description
400
403
404
curl
curl --request POST \
--url /api/episerver/v3.0/carts/search \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("/api/episerver/v3.0/carts/search", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/api/episerver/v3.0/carts/search")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/api/episerver/v3.0/carts/search"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK
[
{
"id": "",
"name": "",
"customerId": "",
"market": "",
"currency": "",
"lastUpdated": "",
"shipments": [
{
"id": "",
"shippingAddress": {
"firstName": "",
"lastName": "",
"line1": "",
"line2": "",
"city": "",
"countryName": "",
"countryCode": "",
"postalCode": "",
"regionName": "",
"email": "",
"phoneNumber": "",
"name": ""
},
"shippingMethodId": "",
"lineItems": [
{
"id": "",
"contentId": "",
"code": "",
"placedPrice": "",
"quantity": "",
"displayName": "",
"isGift": false
}
]
}
],
"payments": [
{
"amount": "",
"authorizationCode": "",
"billingAddress": {
"firstName": "",
"lastName": "",
"line1": "",
"line2": "",
"city": "",
"countryName": "",
"countryCode": "",
"postalCode": "",
"regionName": "",
"email": "",
"phoneNumber": "",
"name": ""
},
"savedBillingAddressName": "",
"customerName": "",
"paymentId": "",
"systemKeyword": "",
"paymentType": "",
"providerTransactionID": "",
"status": "",
"transactionID": "",
"transactionType": "",
"validationCode": "",
"extendedProperties": [
{
"name": "",
"value": ""
}
]
}
],
"couponCodes": [
""
]
}
]400
// Bad Request
403
// Forbidden
404
// Not Found